name: Idir Ouhab Meskine
locality:
country: Remote
role: <a href="/job-families/sales/solutions-architect/">Senior Solutions Architect</a>
reports_to: jonathan-fullam
picture: iouhab.jpg
pronouns: He / Him
pronunciation:
twitter:
linkedin: idirouhab
gitlab: iouhab
departments:
  - Customer Success
  - Solutions Architects
specialty:
expertise:
story:
